Get a webhook
curl --request GET \
--url https://back.leap.onclarity.com/api/webhooks/{webhook_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://back.leap.onclarity.com/api/webhooks/{webhook_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://back.leap.onclarity.com/api/webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"organization_id": 123,
"endpoint": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"events": [
{
"id": 123,
"key": "message",
"display_name": "<string>",
"specs": null
}
]
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}Webhooks
Get a webhook
GET
/
api
/
webhooks
/
{webhook_id}
Get a webhook
curl --request GET \
--url https://back.leap.onclarity.com/api/webhooks/{webhook_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://back.leap.onclarity.com/api/webhooks/{webhook_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://back.leap.onclarity.com/api/webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"organization_id": 123,
"endpoint": "<string>",
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"events": [
{
"id": 123,
"key": "message",
"display_name": "<string>",
"specs": null
}
]
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}Authorizations
Your organization API key (it starts with anek_org_). The same key works on the Voice API and the Support API. See Authentication.
Path Parameters
Response
Request fulfilled, document follows